<?php
/**
 * @version		bookingWizard 2009-11-09 
 * @package		Joomla
 * @subpackage	Content
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Direct Access not allowed.' );

jimport('joomla.environment.uri');
jimport('joomla.plugin.plugin');

include("BookingWizardFilter.php");




/**
 * Booking Wizard is a multi-widget plugin which provides access to all
 * the components necessary to operate a fully enabled Self-Catering
 * Accommodation website.  Components include a unique Booking Calendar
 * Wizard (with transition effects), Availability Search Widget and
 * Administration Centre, all ajax enabled.  Each of the widgets has a
 * selection of configuration options to enable you to operate it all from
 * within your own or your clients website.  
 *
 * Wizard Widgets:
 * bookingsheet, administration, availability, property
 *
**/


// Ver 1.3b : Adding Language support
// Ver 1.4  : Adding BookingSheet Widget
// Ver 1.6  : align with XML version number

class plgContentBookingWizard extends JPlugin {

	var $lang='en';  // default language

	protected function _load($position, $style = 'none')
	{
		if (!isset(self::$modules[$position])) {
			self::$modules[$position] = '';
			$document	= JFactory::getDocument();
			$renderer	= $document->loadRenderer('module');
			$modules	= JModuleHelper::getModules($position);
			$params		= array('style' => $style);
			ob_start();
		
			foreach ($modules as $module) {
				echo $renderer->render($module, $params);
			}

			self::$modules[$position] = ob_get_clean();
		}
		return self::$modules[$position];
	}

	function plgContentBookingWizard( &$subject, $params ) {
		if ( phpversion() < 5 ) {
			parent::JPlugin( $subject, $params );
		} else {
			parent::__construct( $subject, $params );
		}
		$langObj = &JFactory::getLanguage();
		$this->lang=substr($langObj->def('lang'),0,2);
 	}

	public function onContentPrepare($context, &$article, &$params, $page = 0) {
		$plugin =& JPluginHelper::getPlugin('content', 'BookingWizard');
		$param = new stdClass;
		
		// detect laguage if demanded
		if ($this->params->def('use_page_language','true')) {		
			if ( isset($_GET['lang']) ) {
				$param->booking_language = $_GET['lang'];
			} else if (! empty($this->lang) ) { // get content-page language
				$param->booking_language = $this->lang;
			}

			if (! isset($param->booking_language)  || $param->booking_language == "" ) { // get Default Language
				$param->booking_language = $this->params->def('booking_language','en');	
				$param->booking_language = substr($param->booking_language,0,2);	
			}
			$param->booking_language = substr($param->booking_language,0,2);	
		} else {
			$param->booking_language = $this->params->def('booking_language','en');	
		}

		$config['lang']=$param->booking_language;
		$config['account']=$this->params->def('account');
		$config['layout']=$this->params->def('layout');
		$config['debug']=$this->params->def('debug');
		$config['classid']=$this->params->def('classid');

		$article->text=booking_filterContent($article->text, '/\{booking (.*)\}/', $config);

		return true;
	}
}

?>
